from pip_audit_extra.severity import Severity

from typing import List, Optional


class Vulnerability:
	__slots__ = "id", "package_name", "package_version", "fix_versions", "severity"

	def __init__(
		self,
		id: str,
		package_name: str,
		package_version: str,
		fix_versions: List[str],
		severity: Optional[Severity],
	) -> None:
		self.id = id
		self.package_name = package_name
		self.package_version = package_version
		self.fix_versions = fix_versions
		self.severity = severity
